IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
ff67::/16- First address
ff67::- Last address
ff67:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
ff67:0000:0000:0000:0000:0000:0000:0000- Type
- Multicast ff00::/8
One-to-many traffic; replaces broadcast - Reverse DNS zone
7.6.f.f.ip6.arpa
Split into smaller subnets
ff67::/16 makes 4,096 subnets of /28; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | ff67::/28 | ff67:f:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | ff67:10::/28 | ff67:1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | ff67:20::/28 | ff67:2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | ff67:30::/28 | ff67:3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | ff67:40::/28 | ff67:4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | ff67:50::/28 | ff67:5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | ff67:60::/28 | ff67:6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | ff67:70::/28 | ff67:7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | ff67:80::/28 | ff67:8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | ff67:90::/28 | ff67:9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | ff67:a0::/28 | ff67:af:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | ff67:b0::/28 | ff67:bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | ff67:c0::/28 | ff67:cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | ff67:d0::/28 | ff67:df:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | ff67:e0::/28 | ff67:ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | ff67:f0::/28 | ff67:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | ff67:100::/28 | ff67:10f:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | ff67:110::/28 | ff67:11f:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | ff67:120::/28 | ff67:12f:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | ff67:130::/28 | ff67:13f:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | ff67:140::/28 | ff67:14f:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | ff67:150::/28 | ff67:15f:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | ff67:160::/28 | ff67:16f:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | ff67:170::/28 | ff67:17f:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | ff67:180::/28 | ff67:18f:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | ff67:190::/28 | ff67:19f:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | ff67:1a0::/28 | ff67:1af:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | ff67:1b0::/28 | ff67:1bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | ff67:1c0::/28 | ff67:1cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | ff67:1d0::/28 | ff67:1df:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | ff67:1e0::/28 | ff67:1ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | ff67:1f0::/28 | ff67:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | ff67:200::/28 | ff67:20f:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | ff67:210::/28 | ff67:21f:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | ff67:220::/28 | ff67:22f:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | ff67:230::/28 | ff67:23f:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | ff67:240::/28 | ff67:24f:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | ff67:250::/28 | ff67:25f:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | ff67:260::/28 | ff67:26f:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | ff67:270::/28 | ff67:27f:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | ff67:280::/28 | ff67:28f:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | ff67:290::/28 | ff67:29f:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | ff67:2a0::/28 | ff67:2af:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | ff67:2b0::/28 | ff67:2bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | ff67:2c0::/28 | ff67:2cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | ff67:2d0::/28 | ff67:2df:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | ff67:2e0::/28 | ff67:2ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | ff67:2f0::/28 | ff67:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | ff67:300::/28 | ff67:30f:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | ff67:310::/28 | ff67:31f:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | ff67:320::/28 | ff67:32f:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | ff67:330::/28 | ff67:33f:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | ff67:340::/28 | ff67:34f:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | ff67:350::/28 | ff67:35f:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | ff67:360::/28 | ff67:36f:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | ff67:370::/28 | ff67:37f:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | ff67:380::/28 | ff67:38f:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | ff67:390::/28 | ff67:39f:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | ff67:3a0::/28 | ff67:3af:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | ff67:3b0::/28 | ff67:3bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | ff67:3c0::/28 | ff67:3cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | ff67:3d0::/28 | ff67:3df:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | ff67:3e0::/28 | ff67:3ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | ff67:3f0::/28 | ff67:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | ff67:400::/28 | ff67:40f:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | ff67:410::/28 | ff67:41f:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | ff67:420::/28 | ff67:42f:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | ff67:430::/28 | ff67:43f:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | ff67:440::/28 | ff67:44f:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | ff67:450::/28 | ff67:45f:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | ff67:460::/28 | ff67:46f:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | ff67:470::/28 | ff67:47f:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | ff67:480::/28 | ff67:48f:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | ff67:490::/28 | ff67:49f:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | ff67:4a0::/28 | ff67:4af:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | ff67:4b0::/28 | ff67:4bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | ff67:4c0::/28 | ff67:4cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | ff67:4d0::/28 | ff67:4df:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | ff67:4e0::/28 | ff67:4ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | ff67:4f0::/28 | ff67:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | ff67:500::/28 | ff67:50f:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | ff67:510::/28 | ff67:51f:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | ff67:520::/28 | ff67:52f:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | ff67:530::/28 | ff67:53f:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | ff67:540::/28 | ff67:54f:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | ff67:550::/28 | ff67:55f:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | ff67:560::/28 | ff67:56f:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | ff67:570::/28 | ff67:57f:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | ff67:580::/28 | ff67:58f:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | ff67:590::/28 | ff67:59f:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | ff67:5a0::/28 | ff67:5af:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | ff67:5b0::/28 | ff67:5bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | ff67:5c0::/28 | ff67:5cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | ff67:5d0::/28 | ff67:5df:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | ff67:5e0::/28 | ff67:5ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | ff67:5f0::/28 | ff67:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | ff67:600::/28 | ff67:60f:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | ff67:610::/28 | ff67:61f:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | ff67:620::/28 | ff67:62f:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | ff67:630::/28 | ff67:63f:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | ff67:640::/28 | ff67:64f:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | ff67:650::/28 | ff67:65f:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | ff67:660::/28 | ff67:66f:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | ff67:670::/28 | ff67:67f:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | ff67:680::/28 | ff67:68f:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | ff67:690::/28 | ff67:69f:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | ff67:6a0::/28 | ff67:6af:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | ff67:6b0::/28 | ff67:6bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | ff67:6c0::/28 | ff67:6cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | ff67:6d0::/28 | ff67:6df:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | ff67:6e0::/28 | ff67:6ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | ff67:6f0::/28 | ff67:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | ff67:700::/28 | ff67:70f:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | ff67:710::/28 | ff67:71f:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | ff67:720::/28 | ff67:72f:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | ff67:730::/28 | ff67:73f:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | ff67:740::/28 | ff67:74f:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | ff67:750::/28 | ff67:75f:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | ff67:760::/28 | ff67:76f:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | ff67:770::/28 | ff67:77f:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | ff67:780::/28 | ff67:78f:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | ff67:790::/28 | ff67:79f:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | ff67:7a0::/28 | ff67:7af:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | ff67:7b0::/28 | ff67:7bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | ff67:7c0::/28 | ff67:7cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | ff67:7d0::/28 | ff67:7df:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | ff67:7e0::/28 | ff67:7ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | ff67:7f0::/28 | ff67:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | ff67:800::/28 | ff67:80f:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | ff67:810::/28 | ff67:81f:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | ff67:820::/28 | ff67:82f:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | ff67:830::/28 | ff67:83f:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | ff67:840::/28 | ff67:84f:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | ff67:850::/28 | ff67:85f:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | ff67:860::/28 | ff67:86f:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | ff67:870::/28 | ff67:87f:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | ff67:880::/28 | ff67:88f:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | ff67:890::/28 | ff67:89f:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | ff67:8a0::/28 | ff67:8af:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | ff67:8b0::/28 | ff67:8bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | ff67:8c0::/28 | ff67:8cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | ff67:8d0::/28 | ff67:8df:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | ff67:8e0::/28 | ff67:8ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | ff67:8f0::/28 | ff67:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | ff67:900::/28 | ff67:90f:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | ff67:910::/28 | ff67:91f:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | ff67:920::/28 | ff67:92f:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | ff67:930::/28 | ff67:93f:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | ff67:940::/28 | ff67:94f:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | ff67:950::/28 | ff67:95f:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | ff67:960::/28 | ff67:96f:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | ff67:970::/28 | ff67:97f:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | ff67:980::/28 | ff67:98f:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | ff67:990::/28 | ff67:99f:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | ff67:9a0::/28 | ff67:9af:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | ff67:9b0::/28 | ff67:9bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | ff67:9c0::/28 | ff67:9cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | ff67:9d0::/28 | ff67:9df:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | ff67:9e0::/28 | ff67:9ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | ff67:9f0::/28 | ff67:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | ff67:a00::/28 | ff67:a0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | ff67:a10::/28 | ff67:a1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | ff67:a20::/28 | ff67:a2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | ff67:a30::/28 | ff67:a3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | ff67:a40::/28 | ff67:a4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | ff67:a50::/28 | ff67:a5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | ff67:a60::/28 | ff67:a6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | ff67:a70::/28 | ff67:a7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | ff67:a80::/28 | ff67:a8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | ff67:a90::/28 | ff67:a9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | ff67:aa0::/28 | ff67:aaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | ff67:ab0::/28 | ff67:abf:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | ff67:ac0::/28 | ff67:acf:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | ff67:ad0::/28 | ff67:adf:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | ff67:ae0::/28 | ff67:aef:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | ff67:af0::/28 | ff67:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | ff67:b00::/28 | ff67:b0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | ff67:b10::/28 | ff67:b1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | ff67:b20::/28 | ff67:b2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | ff67:b30::/28 | ff67:b3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | ff67:b40::/28 | ff67:b4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | ff67:b50::/28 | ff67:b5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | ff67:b60::/28 | ff67:b6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | ff67:b70::/28 | ff67:b7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | ff67:b80::/28 | ff67:b8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | ff67:b90::/28 | ff67:b9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | ff67:ba0::/28 | ff67:baf:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | ff67:bb0::/28 | ff67:bbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | ff67:bc0::/28 | ff67:bcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | ff67:bd0::/28 | ff67:bdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | ff67:be0::/28 | ff67:bef:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | ff67:bf0::/28 | ff67:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | ff67:c00::/28 | ff67:c0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | ff67:c10::/28 | ff67:c1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | ff67:c20::/28 | ff67:c2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | ff67:c30::/28 | ff67:c3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | ff67:c40::/28 | ff67:c4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | ff67:c50::/28 | ff67:c5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | ff67:c60::/28 | ff67:c6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | ff67:c70::/28 | ff67:c7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | ff67:c80::/28 | ff67:c8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | ff67:c90::/28 | ff67:c9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | ff67:ca0::/28 | ff67:caf:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | ff67:cb0::/28 | ff67:cbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | ff67:cc0::/28 | ff67:ccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | ff67:cd0::/28 | ff67:cdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | ff67:ce0::/28 | ff67:cef:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | ff67:cf0::/28 | ff67:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | ff67:d00::/28 | ff67:d0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | ff67:d10::/28 | ff67:d1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | ff67:d20::/28 | ff67:d2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | ff67:d30::/28 | ff67:d3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | ff67:d40::/28 | ff67:d4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | ff67:d50::/28 | ff67:d5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | ff67:d60::/28 | ff67:d6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | ff67:d70::/28 | ff67:d7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | ff67:d80::/28 | ff67:d8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | ff67:d90::/28 | ff67:d9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | ff67:da0::/28 | ff67:daf:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | ff67:db0::/28 | ff67:dbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | ff67:dc0::/28 | ff67:dcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | ff67:dd0::/28 | ff67:ddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | ff67:de0::/28 | ff67:def:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | ff67:df0::/28 | ff67:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | ff67:e00::/28 | ff67:e0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | ff67:e10::/28 | ff67:e1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | ff67:e20::/28 | ff67:e2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | ff67:e30::/28 | ff67:e3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | ff67:e40::/28 | ff67:e4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | ff67:e50::/28 | ff67:e5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | ff67:e60::/28 | ff67:e6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | ff67:e70::/28 | ff67:e7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | ff67:e80::/28 | ff67:e8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | ff67:e90::/28 | ff67:e9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | ff67:ea0::/28 | ff67:eaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | ff67:eb0::/28 | ff67:ebf:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | ff67:ec0::/28 | ff67:ecf:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | ff67:ed0::/28 | ff67:edf:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | ff67:ee0::/28 | ff67:eef:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | ff67:ef0::/28 | ff67:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | ff67:f00::/28 | ff67:f0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | ff67:f10::/28 | ff67:f1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | ff67:f20::/28 | ff67:f2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | ff67:f30::/28 | ff67:f3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | ff67:f40::/28 | ff67:f4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | ff67:f50::/28 | ff67:f5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | ff67:f60::/28 | ff67:f6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | ff67:f70::/28 | ff67:f7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | ff67:f80::/28 | ff67:f8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | ff67:f90::/28 | ff67:f9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | ff67:fa0::/28 | ff67:faf:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | ff67:fb0::/28 | ff67:fbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | ff67:fc0::/28 | ff67:fcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | ff67:fd0::/28 | ff67:fdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | ff67:fe0::/28 | ff67:fef:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | ff67:ff0::/28 | ff67:fff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |